﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ScottLogic.JsLintDotNet
{
	/// <summary>
	///  Represents a piece of data from the JsLint compiler.
	/// </summary>
	/// <remarks>
	///  At the moment, this is either an error or unused variable <see cref="ScottLogic.JsLintDotNet.JsLintDataType"/>  
	/// </remarks>
    public class JsLintData
    {
		/// <summary>
		///  The character number on the line this data relates to
		/// </summary>
        public int Character { get; set; }

		/// <summary>
		///  The line number this relates to
		/// </summary>
        public int Line { get; set; }

		/// <summary>
		///  The error or information text
		/// </summary>
        public string Reason { get; set; }

		/// <summary>
		///  The error type
		/// </summary>
        public JsLintDataType ErrorType { get; set; }
    }
}
